Subject: bug#35315: It's not a bug, sorry

From: lloda <[email-masked]>
Date: Tue, 23 Apr 2019 00:33:08 +0200

> On 22 Apr 2019, at 23:45, Jan <[email-masked]> wrote:
> 
> I've found out it's not a bug, I just didn't  add (define-module (my-modules displays)) - the name of the folder to my module. Sorry for that.
> 
> Have a nice day!
> 
> 
> --
> Jan
> 

Tbh I've always find this requirement a bit annoying. Clearly in an inline definition the full name must be given, but if the module is found through the path, which is the most common case, all you get from the module declaration is a chance to make a mistake.

I guess I'd like for it to be a nameless variant (define-module) that would work only in module-files, or even no declaration at all, just calling (use-modules (a b c)), then if a/b/c.scm is found, would make the contents of c.scm into a module (a b c). I dunno.